%define oname   gettext

Name:       ruby-%{oname}
Version:    3.5.1
Release:    %mkrel 1
Summary:    A library and tools to localize messages
Group:      Development/Ruby
License:    GPLv2
URL:        http://gettext.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby-GetText-Package is a GNU GetText-like program for Ruby.
The catalog file(po-file) is same format with GNU GetText.
So you can use GNU GetText tools for maintaining.

%files
%{_bindir}/rmsgcat
%{_bindir}/rmsgmerge
%{_bindir}/rmsgfmt
%{_bindir}/rmsginit
%{_bindir}/rxgettext
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

#fix shebang
find %{buildroot}%{gem_instdir}/lib -name "*.rb" \
  -exec sed -i '/^#!/d' {} \;


%changelog
* Sat Feb 01 2025 pterjan <pterjan> 3.5.1-1.mga10
+ Revision: 2144160
- Update to 3.5.1

* Wed Dec 04 2024 pterjan <pterjan> 3.5.0-1.mga10
+ Revision: 2121041
- Update to 3.5.0

* Mon Apr 08 2024 pterjan <pterjan> 3.4.9-1.mga10
+ Revision: 2055584
- Update to 3.4.9

* Mon Aug 15 2022 pterjan <pterjan> 3.4.3-1.mga9
+ Revision: 1877750
- Update to 3.4.3

* Tue May 03 2022 pterjan <pterjan> 3.4.2-1.mga9
+ Revision: 1855672
- Update to 3.4.2

* Fri Mar 25 2022 umeabot <umeabot> 3.3.5-2.mga9
+ Revision: 1826630
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 3.3.5-1.mga8
+ Revision: 1561537
- Update to 3.3.5

* Wed Feb 12 2020 umeabot <umeabot> 3.2.9-3.mga8
+ Revision: 1507742
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 3.2.9-2.mga7
+ Revision: 1290958
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 3.2.9-1.mga7
+ Revision: 1214132
- Update to 3.2.9

* Sun Aug 20 2017 pterjan <pterjan> 3.2.4-1.mga7
+ Revision: 1142093
- Update to 3.2.4

* Sun Jan 03 2016 pterjan <pterjan> 3.2.0-1.mga6
+ Revision: 919146
- Update to 3.2.0

* Wed Oct 15 2014 umeabot <umeabot> 2.3.3-10.mga5
+ Revision: 747387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.3-9.mga5
+ Revision: 688813
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.3.3-8.mga4
+ Revision: 561910
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.3.3-7.mga4
+ Revision: 561242
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.3.3-6.mga4
+ Revision: 535426
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.3.3-5.mga4
+ Revision: 482034
- Rebuild for Ruby 2

* Sun Sep 08 2013 pterjan <pterjan> 2.3.3-4.mga4
+ Revision: 476432
- Fix file listing, all the gem is now installed

* Fri Feb 08 2013 umeabot <umeabot> 2.3.3-3.mga3
+ Revision: 395996
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.3.3-2.mga3
+ Revision: 380919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.3.3-1.mga3
+ Revision: 313026
- update file list
- drop unused sections
- new version 2.3.3

* Thu Feb 10 2011 shikamaru <shikamaru> 2.1.0-1.mga1
+ Revision: 49904
- imported package ruby-gettext

